<?php 
/*
Plugin Name: Eewee Popup
Plugin URI: http://www.eewee.fr/
Description: Popup. Display a popup to open your website. The popup can contain a visual and / or text.
Version: 1.2
Author: Michael DUMONTET
Author URI: http://www.eewee.fr/wordpress/
License: copyright eewee
*/

/**
 * Define
 * @since 1.0.0
 */
define( 'EEWEE_POPUP_VERSION', '1.2' );
define( 'EEWEE_POPUP_NAME', 'eeweePopup' );
define( 'EEWEE_POPUP_PLUGIN_DIR', WP_PLUGIN_DIR . '/' . dirname( plugin_basename( __FILE__ ) ) );
define( 'EEWEE_POPUP_PLUGIN_URL', WP_PLUGIN_URL . '/' . dirname( plugin_basename( __FILE__ ) ) );

// Gestion lang (dossier lang dans le plugin, contenant les .mo)
load_plugin_textdomain("eewee-popup", false, dirname( plugin_basename( __FILE__ ) ) . '/lang');

/**
 * Add CSS
 * @since 1.0.0
 */
function addCssPopup(){
	wp_enqueue_style( 'cssCountdown-style', '/wp-content/plugins/eewee_popup/css/style.css' );
}
add_action( 'init', 'addCssPopup' );

/**
 * Add JS
 * @since 1.0.0
 */
function addJsPopup(){
    // Version : 1.8.2
    //wp_deregister_script('jquery');
    //wp_register_script('jquery','http://ajax.googleapis.com/ajax/libs/jquery/1.8.3/jquery.min.js', false, '');
    //wp_enqueue_script('jquery');

    // If not admin
//  if( !is_admin()){
        // Version : last
        //wp_deregister_script('jquery');
        //wp_register_script('jquery','http://ajax.googleapis.com/ajax/libs/jquery/1/jquery.min.js', false, '');
        wp_enqueue_script('jquery');
//  }
}
add_action( 'init', 'addJsPopup' );


/**
 * Add Files
 * @since 1.0.0
 */
require_once( EEWEE_POPUP_PLUGIN_DIR . '/forms/addPopup.php' );
require_once( EEWEE_POPUP_PLUGIN_DIR . '/controllers/EeweePopup.php' );


/**
 * Instantiate Classe
 * @since 1.0.0
 */
$eewee_admin = new EeweePopup();


/**
 * Wordpress Activate/Deactivate
 *
 * @uses register_activation_hook()
 * @uses register_deactivation_hook()
 *
 * @since 1.0.0
 */
register_activation_hook( __FILE__, array( $eewee_admin, 'eewee_activate' ) );
register_deactivation_hook( __FILE__, array( $eewee_admin, 'eewee_deactivate' ) );


/**
 * Required action filters
 *
 * @uses add_action()
 *
 * @since 1.0.0
 */
add_action( 'admin_menu', array( $eewee_admin, 'eewee_adminMenu' ) );
?>